% SocNetParallelFinishLocal.m
% SOCNETPARALLELlocal processes output files from SocNetParallelFile 
% by displaying output files, creating a histogram of degree distributions
% for a people-to-people graph, and displaying the mean clustering
% coefficient.

% put results in matrices
people = load('out_people.txt');
locations = load('out_locations.txt');
degs = load('out_degs.txt');
coeffLst = load('out_coeffLst.txt');

% Process locally the returned parameters
% fractionPeople defined in SocNetParallelStartRemote.m
disp(['Minimum dominating set for ' num2str(fractionPeople) ' fraction of the people:  ']);
disp(locations);
disp('Set of people dominated by these locations:  ' );
disp(people);
disp(' ');

% construct histogram
numCategories = max(degs) + 1;  % number of categories for histogram
figure;
hist(degs, numCategories);
xlabel('Degree');
ylabel('Number');

disp(['Mean degree = ', num2str(mean(degs))]);  % average degree
disp(' ');

% Uncomment the next two linew to display all clustering coefficients
% disp('Clustering coefficients:');
% disp(coeffLst);
disp(['Mean clustering coefficient = ' num2str(mean(coeffLst))]);
