% SocNetParallelStartRemote.m
% SOCNETPARALLELREMOTE runs SocNetParallelFile as a distributed job on 
% Cornell Center for Advanced Computing TUC Cluster
% This script, which should be run on your local computer, submits the entire pooljob to scheduler.  
% Script is derived from poolJobRemote.m downloaded from Cornell Center for Advanced Computing
% "User Documentation" at http://www.cac.cornell.edu/matlab/TechDocs/Examples/Default.aspx
% To obtain access to TUC, go to http://www.cac.cornell.edu/matlab/, then select "Request Access".

% To submit more than 8 labs, use the "Default" queue
% % % ClusterInfo.setQueueName('Default');

% Setting the Max and Min number of workers to the same number
j = createMatlabPoolJob(sched);
% Use one of the following pairs of commands for client + 2 spmd workers
set(j, 'MaximumNumberOfWorkers', 3);
set(j, 'MinimumNumberOfWorkers', 3);

% The submitted job will run the SocNetParallelFile.m function.  This file
% must be accessible to workers, so if this job is being run on TUC, then
% the file would need to moved to TUC.  You would then need to ensure
% that the file and the data files, which it calls, uploaded to TUC are on your path

% Files must be in starting MATLAB directory.  Change 'spec101' to your username
set(j,'PathDependencies',{'\\storage01\matlab\spec101'});
% This creates a single task of job 1 that takes 3 input arguments and
fractionPeople = 0.01;  % fraction of people to be dominated
% Use one of the following two commands for sample data or large data set
% or use an alternative base for the file name
% % % createTask(j, @SocNetParallelFile, 0, {'sample_activities', true, fractionPeople});
createTask(j, @SocNetParallelFile, 0, {'rand_7000Els', true, fractionPeople});
% Since our function fprints to the command window, we'll capture that
alltasks = get(j, 'Tasks');
set(alltasks, 'CaptureCommandWindowOutput', true);
% Lastly, just submit the job.
submit(j);
