% upload.m
% UPLOAD  Script to upload files to, destroy jobs on, download files from, or delete files  
% from Cornell Center for Advanced Computing (CAC) TUC Cluster

% Create the object and connect to CAC
ftp = gridFTP();

% upload files
ftp.put('SocNetParallelFile.m', 'SocNetParallelFile.m');

% ftp.put('sample_activities_2labs_1.dat', 'sample_activities_2labs_1.dat');
% ftp.put('sample_activities_2labs_2.dat', 'sample_activities_2labs_2.dat');

for i=1:7
    ftp.put(['rand_7000Els_' num2str(i) '.dat'], ...
        ['rand_7000Els_' num2str(i) '.dat']);
end

% destroy current job
destroy(j);

% find and destroy Job150
job = findJob(sched, 'Name', 'Job150');
destroy(job);

% download files
% ftp.get('out_setup_sample_activities_2labs_2Labs.txt', 'out_setup_sample_activities_2labs_2Labs.txt');
ftp.get('out_setup_rand_7000Els_7Labs.txt', 'out_setup_rand_7000Els_7Labs.txt');
ftp.get('out_people.txt', 'out_people.txt');
ftp.get('out_locations.txt', 'out_locations.txt');
ftp.get('out_degs.txt', 'out_degs.txt');
ftp.get('out_coeffLst.txt', 'out_coeffLst.txt');

% delete files
% ftp.delete('out_setup_sample_activities_2Labs.txt');
ftp.delete('out_setup_rand_7000Els_7Labs.txt');
ftp.delete('out_people.txt');
ftp.delete('out_locations.txt');
ftp.delete('out_degs.txt');
ftp.delete('out_coeffLst.txt');
